cd ../../src


# Metric models
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_glue_with_hyp_search.py cuda_devices=[0] seeds=[23419] args='ue\=mc do_ue_estimate\=False ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last +training.save_strategy\=no model.model_name_or_path\=distilbert-base-cased ue.use_selective\=True ue.reg_type\=metric +ue.margin\=5.0 +ue.lamb_intra\=0.1' task_configs=mrpc.yaml output_dir=../workdir/run_train_models/distilbert_hypopt/metric_fixed_range_last_last_fix_171/mrpc
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_glue_with_hyp_search.py cuda_devices=[0] seeds=[23419] args='ue\=mc do_ue_estimate\=False ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last +training.save_strategy\=no model.model_name_or_path\=distilbert-base-cased ue.use_selective\=True ue.reg_type\=metric +ue.margin\=5.0 +ue.lamb_intra\=0.1' task_configs=cola.yaml output_dir=../workdir/run_train_models/distilbert_hypopt/metric_fixed_range_last_last_fix_171/cola
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_glue_with_hyp_search.py cuda_devices=[0] seeds=[23419] args='ue\=mc do_ue_estimate\=False ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last +training.save_strategy\=no model.model_name_or_path\=distilbert-base-cased ue.use_selective\=True ue.reg_type\=metric +ue.margin\=5.0 +ue.lamb_intra\=0.1' task_configs=sst2.yaml output_dir=../workdir/run_train_models/distilbert_hypopt/metric_fixed_range_last_last_fix_171/sst2

HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_conll2003_with_hyp_search.py task_configs=conll2003.yaml args='do_ue_estimate\=False data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 +training.save_strategy\=no model.model_name_or_path\=distilbert-base-cased ue.use_selective\=True ue.reg_type\=metric +ue.margin\=5.0 +ue.lamb_intra\=0.1' seeds=[23419] cuda_devices=[0] output_dir='../workdir/run_train_models/distilbert_hypopt/metric_fixed_range_last_last_fix_171/conll'

# Metric SN models
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_glue_with_hyp_search.py cuda_devices=[0] seeds=[23419] args='ue\=mc do_ue_estimate\=False ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last +training.save_strategy\=no model.model_name_or_path\=distilbert-base-cased ue.use_selective\=True ue.reg_type\=metric +ue.use_spectralnorm\=True spectralnorm_layer\=last +ue.margin\=5.0 +ue.lamb_intra\=0.1' task_configs=mrpc.yaml output_dir=../workdir/run_train_models/distilbert_hypopt/metric_sn_fixed_range_last_last_fix_171/mrpc
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_glue_with_hyp_search.py cuda_devices=[0] seeds=[23419] args='ue\=mc do_ue_estimate\=False ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last +training.save_strategy\=no model.model_name_or_path\=distilbert-base-cased ue.use_selective\=True ue.reg_type\=metric +ue.use_spectralnorm\=True spectralnorm_layer\=last +ue.margin\=5.0 +ue.lamb_intra\=0.1' task_configs=cola.yaml output_dir=../workdir/run_train_models/distilbert_hypopt/metric_sn_fixed_range_last_last_fix_171/cola
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_glue_with_hyp_search.py cuda_devices=[0] seeds=[23419] args='ue\=mc do_ue_estimate\=False ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last +training.save_strategy\=no model.model_name_or_path\=distilbert-base-cased ue.use_selective\=True ue.reg_type\=metric +ue.use_spectralnorm\=True spectralnorm_layer\=last +ue.margin\=5.0 +ue.lamb_intra\=0.1' task_configs=sst2.yaml output_dir=../workdir/run_train_models/distilbert_hypopt/metric_sn_fixed_range_last_last_fix_171/sst2

HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_conll2003_with_hyp_search.py task_configs=conll2003.yaml args='do_ue_estimate\=False data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 +training.save_strategy\=no model.model_name_or_path\=distilbert-base-cased ue.use_selective\=True ue.reg_type\=metric +ue.use_spectralnorm\=True spectralnorm_layer\=last +ue.margin\=5.0 +ue.lamb_intra\=0.1' seeds=[23419] cuda_devices=[0] output_dir='../workdir/run_train_models/distilbert_hypopt/metric_sn_fixed_range_last_last_fix_171/conll'

